export default function setAvatarStore() {
  return {
    input: "",
    tabPosition: 0,
    favoritesTabPosition: 0,
    lastsTabPosition: 0,
    abilitiesTabPosition: 0,

    setInput(input: string) {
      this.input = input;
    },

    setTabPosition(tabPosition: number) {
      this.tabPosition = tabPosition;
    },

    setFavoritesTabPosition(favoritesTabPosition: number) {
      this.favoritesTabPosition = favoritesTabPosition;
    },

    setLastsTabPosition(lastsTabPosition: number) {
      this.lastsTabPosition = lastsTabPosition;
    },

    setAbilitiesTabPosition(abilitiesTabPosition: number) {
      this.abilitiesTabPosition = abilitiesTabPosition;
    },
  };
}
